Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.model.portal
Interface PortalContainer

All Superinterfaces:
  java.lang.Comparable, PortalObject

All Known Subinterfaces:
  Context

All Known Implementing Classes:
  ContextImpl, DashboardContext

    public interface PortalContainer

extends PortalObject

Contains nodes of type portal.

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Field Summary

Fields inherited from interface org.jboss.portal.core.model.portal.PortalObject
`CONTEXT_MASK, DEFAULT_OBJECT_NAME, PAGE_MASK, PORTAL_MASK, PORTAL_PROP_DEFAULT_OBJECT_NAME, TYPE_CONTEXT, TYPE_PAGE, TYPE_PORTAL, TYPE_WINDOW, WINDOW_MASK`

Method Summary
`Portal` | `createPortal(java.lang.String name)` Create a new portal.
`Portal` | `getDefaultPortal()` Returns the default portal.
`Portal` | `getPortal(java.lang.String name)` Return an existing portal or null if such a child does not exist or does not have the right type.

Methods inherited from interface org.jboss.portal.core.model.portal.PortalObject
`copy, destroyChild, getChild, getChild, getChildren, getChildren, getDeclaredProperties, getDeclaredProperty, getDisplayName, getId, getListener, getName, getParent, getProperties, getProperty, getType, setDeclaredProperty, setDisplayName, setListener`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getPortal

    Portal getPortal(java.lang.String name)
                     throws java.lang.IllegalArgumentException

  Return an existing portal or null if such a child does not exist or does not have the right type.

  Parameters:
    `name` - the portal name
  Returns:
    the specified portal
  Throws:
    `java.lang.IllegalArgumentException` - if the specified name is null

### createPortal

    Portal createPortal(java.lang.String name)
                        throws DuplicatePortalObjectException,
                               java.lang.IllegalArgumentException

  Create a new portal.

  Parameters:
    `name` - the portal name
  Returns:
    the newly created portal
  Throws:
    `DuplicatePortalObjectException` - if a child with the specified name already exists
    `java.lang.IllegalArgumentException` - if the name argument is null

### getDefaultPortal

    Portal getDefaultPortal()

  Returns the default portal.

  Returns:
    the default portal of that container

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD